Bug 667050 - COW corruption using popen(3). [rhel-5.6.z]
Summary: COW corruption using popen(3). [rhel-5.6.z]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.6
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Jiri Pirko
QA Contact: Red Hat Kernel QE team
URL:
Whiteboard:
Depends On: 664931
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-01-04 08:28 UTC by RHEL Program Management
Modified: 2015-05-05 01:22 UTC (History)
14 users (show)

Fixed In Version: kernel-2.6.18-238.1.1.el5
Doc Type: Bug Fix
Doc Text:
Prior to this update, a multi-threaded application, which invoked popen(3) internally, could cause a thread stall by FILE lock corruption. The application program waited for a FILE lock in glibc, but the lock seemed to be corrupted, which was caused by a race condition in the COW (Copy On Write) logic. With this update, the race condition was corrected and FILE lock corruption no longer occurs.
Clone Of:
Environment:
Last Closed: 2011-01-18 18:22:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0163 0 normal SHIPPED_LIVE Important: kernel security and bug fix update 2011-01-18 18:21:57 UTC

Description RHEL Program Management 2011-01-04 08:28:44 UTC
This bug has been copied from bug #664931 and has been proposed
to be backported to 5.6 z-stream (EUS).

Comment 3 Jiri Pirko 2011-01-05 11:53:06 UTC
in kernel-2.6.18-238.1.1.el5

linux-2.6-mm-prevent-file-lock-corruption-using-popen-3.patch

Comment 12 Jiri Pirko 2011-01-12 18:09:13 UTC
Guan, how does it look? Anyway, Larry told me that the other test may not reveal the problem...

Comment 15 Jiri Pirko 2011-01-13 12:53:41 UTC
Flipping back to ON_QA

Comment 18 errata-xmlrpc 2011-01-18 18:22:24 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0163.html

Comment 19 Martin Prpič 2011-07-13 20:28:55 UTC
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Prior to this update, a multi-threaded application, which invoked popen(3) internally, could cause a thread stall by FILE lock corruption. The application program waited for a FILE lock in glibc, but the lock seemed to be corrupted, which was caused by a race condition in the COW (Copy On Write) logic. With this update, the race condition was corrected and FILE lock corruption no longer occurs.


Note You need to log in before you can comment on or make changes to this bug.